[X2Go-Commits] [x2goserver] 17/27: x2goserver/bin/x2gostartagent: fix hostname detection.

git-admin at x2go.org git-admin at x2go.org
Wed Jan 10 00:17:58 CET 2018


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch release/4.0.1.x
in repository x2goserver.

commit daa6a6a36e84edd79b0aa838b6e7eb5145e79298
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sun Jan 7 02:35:38 2018 +0100

    x2goserver/bin/x2gostartagent: fix hostname detection.
    
    Only error out if the hostname call actually failed, not the other way
    around.
---
 debian/changelog              | 2 ++
 x2goserver/bin/x2gostartagent | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index f8582d4..6d58239 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -56,6 +56,8 @@ x2goserver (4.0.1.23-0x2go1) UNRELEASED; urgency=medium
       rely on it returning a valid value and try at most 10 times to fetch a
       usable port value, then error out and make the session startup or
       resumption fail.
+    - x2goserver/bin/x2gostartagent: fix hostname detection. Only error out if
+      the hostname call actually failed, not the other way around.
   * x2goserver.spec:
     - RPMify x2goserver-xsession description.
     - Remove qt4 stuff, we're not using the framework here.
diff --git a/x2goserver/bin/x2gostartagent b/x2goserver/bin/x2gostartagent
index d11221a..cb37580 100755
--- a/x2goserver/bin/x2gostartagent
+++ b/x2goserver/bin/x2gostartagent
@@ -71,7 +71,7 @@ fi
 # Workaround: use hostname.
 typeset current_host_name=""
 
-if current_host_name="$(hostname)"; then
+if ! current_host_name="$(hostname)"; then
 	typeset msg="Unable to retrieve machine's hostname. This is required. Aborting session startup."
 	"${X2GO_LIB_PATH}/x2gosyslog" "${0}" "err" "${msg}"
 

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on /srv/git/code.x2go.org/x2goserver.git


More information about the x2go-commits mailing list